using System;
using System.Net.NetworkInformation;

internal sealed class Delegate694 : MulticastDelegate
{
	public extern NetworkInterfaceType Invoke(object object_0);

	public static NetworkInterfaceType smethod_0(object object_0, Delegate694 delegate694_1)
	{
		return delegate694_1(object_0);
	}

	public extern Delegate694(object object_0, IntPtr intptr_0);

	static Delegate694()
	{
		Class10.smethod_13(typeof(Delegate694).TypeHandle);
	}

	internal static Delegate694 delegate694_0;
}
